Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.inst2xsd
Class SalamiSliceStrategy

    java.lang.Object
      org.apache.xmlbeans.impl.inst2xsd.RussianDollStrategy
          org.apache.xmlbeans.impl.inst2xsd.SalamiSliceStrategy

All Implemented Interfaces:
  XsdGenStrategy

    public class SalamiSliceStrategy

extends RussianDollStrategy
implements XsdGenStrategy

Author:
  Cezar Andrei ( cezar.andrei at bea.com ) Date: Jul 26, 2004

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xmlbeans.impl.inst2xsd.RussianDollStrategy
`RussianDollStrategy.SCTValidationContext`

Constructor Summary
`SalamiSliceStrategy()`

Method Summary
`protected void` | `checkIfElementReferenceIsNeeded(Element child, java.lang.String parentNamespace, TypeSystemHolder typeSystemHolder, Inst2XsdOptions options)`

Methods inherited from class org.apache.xmlbeans.impl.inst2xsd.RussianDollStrategy
`addGlobalElement, checkIfAttributeReferenceIsNeeded, checkIfReferenceToGlobalTypeIsNeeded, combineAttributesOfTypes, combineElementComments, combineElementsOfTypes, combineSimpleTypes, combineToMoreGeneralSimpleType, combineTypes, processAttribute, processAttributesInComplexType, processDoc, processElement, processElementsInComplexType, processSimpleContentType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.impl.inst2xsd.XsdGenStrategy
`processDoc`

Constructor Detail

### SalamiSliceStrategy

    public SalamiSliceStrategy()

Method Detail

### checkIfElementReferenceIsNeeded

    protected void checkIfElementReferenceIsNeeded(Element child,
                                                   java.lang.String parentNamespace,
                                                   TypeSystemHolder typeSystemHolder,
                                                   Inst2XsdOptions options)

  Overrides:
    `checkIfElementReferenceIsNeeded` in class `RussianDollStrategy`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD